Subject: Re: Non-committers can't keep authenticated forks updated

From: 45mg <[email-masked]>
Date: Sat, 18 Jan 2025 16:25:40 +0000

Hi Nicolas!

Nicolas Graves <[email-masked]> writes:

> A lightly-related comment :
>
> I recently started a guix extension to help manage complexities of
> maintaining guix soft-forks.  I haven't advertised it yet, and I'm fine
> authenticating locally for now.  I mainly focus on reproducibility of
> patches sent (recording where patches are sent to be able to generate a
> list of <origin> patches from a repo) and pulling from patched channels.
>
> There still some work ahead before I can even advertise it properly, but
> feel free to take a look!  There's no doc yet.  
>
> https://git.sr.ht/~ngraves/guix-stack

Sounds cool! Please let us know once you've added documentation so we
can take a look. We definitely need more tooling in this regard.